# eth\_getBalance

Returns the balance of the account of given address.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getbalance)

## **Parameters**

1. `DATA`, 20 Bytes - address to check for balance.
2. `QUANTITY|TAG` - integer block number, or the string `"latest"`, `"earliest"` or `"pending"`, see the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block-parameter)

## Returns

`INTEGER` - Hex value representing integer of the current balance in WEI.

```bash
// Result
{
  "id":83,
  "jsonrpc": "2.0",
  "result": "0x2abfcdcfa71e54e" 
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.berachain.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0x56310c8452f5bBEa41cD5d351829c304Ac0279b7", "latest"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://bepolia.berachain.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0x56310c8452f5bBEa41cD5d351829c304Ac0279b7", "latest"],"id":1}'

```

{% endtab %}
{% endtabs %}
